Subject: Re: [PATCH v2 00/10] config-hook cleanups and two small 'git hook list' features

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 24 Mar 2026 09:38:06 +0100

On Mon, Mar 23, 2026 at 09:11:13AM -0700, Junio C Hamano wrote:
> Adrian Ratiu <[email-masked]> writes:
> 
> > Hello everyone,
> >
> > v2 addresses all the feedback received in v1, many thanks to everyone
> > who contributed.
> >
> > This series is just minor cleanups / refactorings + two minor feature additions
> > to `git hook list`, which resulted from the previous series review discussions:
> >
> > 1. The ability to show the config scope (--show-scope).
> > 2. The ability to show which hooks are disabled.
> >
> > This is now based on the master branch.
> >
> > I have pushed the branch to Github [1] and provided a clean CI run [2] with
> > the exception of a known breakage for some MacOS builders (REG_ENHANCED).
> >
> > Thanks again,
> > Adrian
> >
> > 1: https://github.com/10ne1/git/tree/dev/aratiu/config-cleanups-v2
> > 2: https://github.com/10ne1/git/actions/runs/23340298770
> >
> > Changes in v2:
> > * Cleanly rebased on master, no conflicts (Adrian)
> > * Fix first patch build break by updating call-sites in same commit (Szeder)
> > * Drop UNUSED from function declaration in the header file (Eric)
> > * Drop the new struct hook_config_cache because it's redundant (Junio)
> > * git hook list now prints in tab separated output format similar
> >   to git config --show-scope to improve machine parseability (Junio, Patrick)
> > * Fix small style issues, comments, type, commit messages. (Eric, Patrick)
> 
> These came just before the weekend for many people, so let's hold to
> see if we hear further comments for a few days and then merge it
> down to 'next'.

Sorry, I've been a bit behind on the mailing list recently. I've got a
few further comments that might warrant a v3, but I think we're overall
close.

Thanks!

Patrick